#
# spec file for package broadcom-netxtreme2 (Version 6.0.53)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-suse build bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv kernel-default-devel kernel-source kernel-syms kernel-xen-devel less libacl libattr libblkid1 libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl7 libmpfr1 libncurses5 libreadline5 libselinux1 libsepol1 libstdc++43 libtool libuuid1 libvolume_id1 libxcrypt libzio linux-kernel-headers login m4 make man module-init-tools net-tools netcfg pam pam-modules patch perl perl-TimeDate perl-base permissions popt post-build-checks psmisc rpm rpmlint-Factory rpmlint-mini sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           broadcom-netxtreme2
BuildRequires:  kernel-source kernel-syms module-init-tools
License:        GPL
Group:          System/Kernel
Summary:        Broadcom NetXtreme II driver set for Linux
Version:        6.0.53
Release:        1
Source0:        %name-%version.tar.bz2
Source1:        Module.supported.bnx2
Source2:        Module.supported.bnx2x
Source3:        Module.supported.bnx2i
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package ec2 kdump um

%description
This package contains the Linux drivers for the Broadcom NetXtreme II Family of Server Adapters

%debug_package
%package KMP

Summary:        Broadcom NetXtreme II drivers for Linux
Group:          System/Kernel

%description KMP
This package contains the Linux driver for the Broadcom NetXtreme II Family of Server Adapters

%prep
%setup

cp %_sourcedir/Module.supported.bnx2 bnx2/Module.supported
cp %_sourcedir/Module.supported.bnx2x bnx2x/Module.supported
cp %_sourcedir/Module.supported.bnx2i bnx2i/Module.supported

set -- *
mkdir source
mv "$@" source/
cp -f source/bnx2/README.TXT source/README.bnx2.TXT
cp -f source/bnx2/RELEASE.TXT source/RELEASE.bnx2.TXT
cp -f source/bnx2x/README.TXT source/README.bnx2x.TXT
cp -f source/bnx2x/RELEASE.TXT source/RELEASE.bnx2x.TXT
cp -f source/bnx2i/docs/README.TXT source/README.bnx2i.TXT
cp -f source/bnx2i/docs/RELEASE.TXT source/RELEASE.bnx2i.TXT
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    kver=`uname -r`
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2x
    cp $PWD/obj/$flavor/bnx2/Module.symvers $PWD/obj/$flavor/bnx2i
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor/bnx2i
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2x
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor/bnx2i
done

man_dir=${RPM_BUILD_ROOT}/usr/share/man/man4
mkdir -p ${man_dir}
gzip -c source/bnx2/bnx2.4 > ${man_dir}/bnx2.4.gz
gzip -c source/bnx2x/bnx2x.4 > ${man_dir}/bnx2x.4.gz

%files 
%defattr(-, root, root)
%doc source/INSTALL.TXT
%doc source/README.bnx2.TXT
%doc source/README.bnx2x.TXT
%doc source/RELEASE.bnx2.TXT
%doc source/RELEASE.bnx2x.TXT
%doc source/README.bnx2i.TXT
%doc source/RELEASE.bnx2i.TXT
%_mandir/man4/bnx2.4.gz
%_mandir/man4/bnx2x.4.gz

%changelog
